classification
Title: Ellipsis docs has extra dot in the markdown that makes it look like .... (four dots)
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, martin.panter, xtreak
Priority: normal Keywords: patch

Created on 2018-09-27 07:14 by xtreak, last changed 2019-02-18 07:21 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9754 merged xtreak, 2018-10-08 06:24
Messages (3)
msg326529 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-27 07:14
I looked up the Ellipsis documentation at https://docs.python.org/dev/library/constants.html#Ellipsis which has the below text : 

> The same as .... Special value used mostly in conjunction with extended slicing syntax for user-defined container data types.

The three dots are marked with backtick and look like codeblock but on a light theme it looks like a CSS issue. The backtick contains the actual ellipsis value (...) but the . at the end makes it look like .... especially since I was also using custom dark theme for https://docs.python.org so I thought it was four dots instead of three dots.

Markdown text at https://github.com/python/cpython/blob/master/Doc/library/constants.rst

> The same as ``...``.  Special used mostly in conjunction with extended slicing syntax for user-defined container data types.

It's very trivial but I thought to add a report and I am fine with a won't fix for this. I thought to add a PR but English is not my first language and I don't know if it can worded better. I can change it to "The same as ... which is a special value used mostly in conjunction with extended slicing syntax for user-defined container data types." to avoid the misleading dot and feedback welcome.

Thanks
msg326631 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2018-09-28 13:07
In these situations, I use quotes or brackets to mention a symbol without using it as punctuation. Using words might also help. What about:

Ellipsis
  The same as the ellipsis literal “...”. Special value used [etc]
msg327324 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-10-08 06:26
Thanks Martin for the suggestion. I have created a PR with your suggestion and added a description in the PR that shows the visual distinction between the current doc and suggested change.
History
Date User Action Args
2019-02-18 07:21:17xtreaksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-08 06:26:42xtreaksetmessages: + msg327324
2018-10-08 06:24:01xtreaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request9140
2018-09-28 13:07:11martin.pantersetnosy: + martin.panter
messages: + msg326631
2018-09-27 07:14:59xtreakcreate